package com.ho.business.service;

import com.ho.business.entity.YcValue;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description 针对yc_value表操作
 * Author yule
 * Date 2022/9/13 16:55
 */
public interface YcValueService {



    List<YcValue> selectByType(Integer stationId,String first,String current);

    List<YcValue> selectListByCondition(Integer stationId, String beginDay, String endDay, List<Integer> typeList);

    //年充电量
    BigDecimal selectYearChargeE(Integer StationId,Integer type,String beginTime,String endTime);

    List<YcValue> getListByCondition(Map<String,Object> map);

    BigDecimal getCommandsNum(Map<String,Object> map);

}
